curl -X DELETE https://api.relace.run/v1/repo_token/rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12
import { Relace } from "@relace-ai/relace";
const client = new Relace();
const token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12";
await client.repoToken.delete(token);
console.log("Repo token deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12"
client.repo_token.delete(token)
print("Repo token deleted successfully")
204 No Content
Authentication
Delete Repo Token
Revoke and delete a repo token
DELETE
/
v1
/
repo_token
/
{token}
curl -X DELETE https://api.relace.run/v1/repo_token/rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12
import { Relace } from "@relace-ai/relace";
const client = new Relace();
const token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12";
await client.repoToken.delete(token);
console.log("Repo token deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12"
client.repo_token.delete(token)
print("Repo token deleted successfully")
204 No Content
Path Parameters
string
required
The repo token to delete
Response
This endpoint returns no content on successful deletion.curl -X DELETE https://api.relace.run/v1/repo_token/rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12
import { Relace } from "@relace-ai/relace";
const client = new Relace();
const token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12";
await client.repoToken.delete(token);
console.log("Repo token deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
token = "rlcr-a1b2c3d4e5f67890abcdef1234567890abcdef12"
client.repo_token.delete(token)
print("Repo token deleted successfully")
204 No Content
⌘I